{% extends "layout.html" %}
{% block body %}

<form action="" method=post class="form-horizontal">
    <h2>Which Players you have available? (Select 4 Players)</h2>
    <div class="control-group">
        <div class="checkbox">
            {%- for player in players %}
            <label>
          <input class="checkbox" type="checkbox" name="player" value="{{ player.id }}">{{ player.player_name }}
            </label><br/>
                {%- endfor %}
        </div>
    </div>

    <div class="control-group">
        <div class="controls">
            <div id="notification"></div>
            <button class="btn btn-default" id="submit" disabled >Create Teams
            </button>
            <a class="btn btn-default" href="{{ url_for('list_matches') }}">Back to list</a>
            <a class="btn btn-default" href="{{ url_for('new_match') }}">Manual Match Creation</a>
        </div>
    </div>
    <script type="text/javascript">
var limit = 4;
$('input.checkbox').on('change', function(evt) {
   if($(this).parent().siblings().children(':checked').length >= limit) {
       this.checked = false;
   }
    if($(this).parent().parent().children().children(':checked').length == limit) {
       $('#submit').attr("disabled", false);
       console.log($(this).parent().parent().children().children(':checked').length);
   }else {
   $('#submit').attr("disabled", true);
   }
});

    </script>
</form>
{% endblock %}